Subject: Re: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus when it calls `list-processes'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jul 2012 22:30:38 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Mon, 23 Jul 2012 11:29:40 -0700
> 
> Unfortunately, I cannot get much in the way of results that way, for this test
> at least.
> 
> After `(gdb) continue', I followed the recipe I followed before to produce the
> crash.  When it would have crashed before (i.e., without gdb) it now just seemed
> to hang.

That's not what I see:

> (gdb) continue
> Continuing.
> warning: frame 049AE200 (*shell*) obscured
> 
> warning: frame 049AE200 (*shell*) reexposed by WM_PAINT
> 
> warning: obscured frame 049AE200 (*shell*) found to be visible
> 
> 
> Program received signal SIGSEGV, Segmentation fault.  <<<<<<<<<<<

This is definitely a crash.

> (gdb) quit
> The program is running.  Quit anyway (and detach it)? (y or y)
> Detaching from program: , Pid 4252
> 
> At that point, I did get the MS Windows "encountered a problem and needs to
> close" dialog box, and clicked button "Send Error Report", and Emacs exited.

Well, don't say "quit".  Instead, I hope that Martin will be able to
give you instructions what to look for once you get SIGSEGV.

Martin, the floor is yours ;-)